Drivers license
curl --request POST \
--url https://flickopenapi.co/kyc/drivers-license \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dob": "2024-09-23",
"first_name": "Kingsley",
"last_name": "Kingsley",
"drivers_license": "LSR1122AA"
}
'import requests
url = "https://flickopenapi.co/kyc/drivers-license"
payload = {
"dob": "2024-09-23",
"first_name": "Kingsley",
"last_name": "Kingsley",
"drivers_license": "LSR1122AA"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dob: '2024-09-23',
first_name: 'Kingsley',
last_name: 'Kingsley',
drivers_license: 'LSR1122AA'
})
};
fetch('https://flickopenapi.co/kyc/drivers-license', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/kyc/drivers-license",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dob' => '2024-09-23',
'first_name' => 'Kingsley',
'last_name' => 'Kingsley',
'drivers_license' => 'LSR1122AA'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/kyc/drivers-license"
payload := strings.NewReader("{\n \"dob\": \"2024-09-23\",\n \"first_name\": \"Kingsley\",\n \"last_name\": \"Kingsley\",\n \"drivers_license\": \"LSR1122AA\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/kyc/drivers-license")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dob\": \"2024-09-23\",\n \"first_name\": \"Kingsley\",\n \"last_name\": \"Kingsley\",\n \"drivers_license\": \"LSR1122AA\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/kyc/drivers-license")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dob\": \"2024-09-23\",\n \"first_name\": \"Kingsley\",\n \"last_name\": \"Kingsley\",\n \"drivers_license\": \"LSR1122AA\"\n}"
response = http.request(request)
puts response.read_body{
"status": "200",
"message": "Data fetched successfully",
"data": {
"response_code": "00",
"detail": "DL Verification Successful",
"frsc_data": {
"expiryDate": "2027-10-30",
"firstName": "Kingsley",
"lastName": "Kingsley",
"issuedDate": "2022-10-01",
"stateOfIssue": "Lagos",
"licenseNo": "LSR712",
"gender": "Male",
"photo": "/4AAQSkZJRgABAQEAYABgAAD/2wBDw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAxNDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIjIyMjIyMjIyMjIyMjIyMjL/",
"middleName": "",
"birthDate": "1989-10-24"
},
"verification": {
"reference": "64-4002-92f0-1",
"status": "VERIFIED"
},
"session": "{}",
"status": "true"
}
}Individuals(KYC)
Drivers license
Means of Identifications
POST
/
kyc
/
drivers-license
Drivers license
curl --request POST \
--url https://flickopenapi.co/kyc/drivers-license \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dob": "2024-09-23",
"first_name": "Kingsley",
"last_name": "Kingsley",
"drivers_license": "LSR1122AA"
}
'import requests
url = "https://flickopenapi.co/kyc/drivers-license"
payload = {
"dob": "2024-09-23",
"first_name": "Kingsley",
"last_name": "Kingsley",
"drivers_license": "LSR1122AA"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dob: '2024-09-23',
first_name: 'Kingsley',
last_name: 'Kingsley',
drivers_license: 'LSR1122AA'
})
};
fetch('https://flickopenapi.co/kyc/drivers-license', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/kyc/drivers-license",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dob' => '2024-09-23',
'first_name' => 'Kingsley',
'last_name' => 'Kingsley',
'drivers_license' => 'LSR1122AA'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/kyc/drivers-license"
payload := strings.NewReader("{\n \"dob\": \"2024-09-23\",\n \"first_name\": \"Kingsley\",\n \"last_name\": \"Kingsley\",\n \"drivers_license\": \"LSR1122AA\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/kyc/drivers-license")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dob\": \"2024-09-23\",\n \"first_name\": \"Kingsley\",\n \"last_name\": \"Kingsley\",\n \"drivers_license\": \"LSR1122AA\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/kyc/drivers-license")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dob\": \"2024-09-23\",\n \"first_name\": \"Kingsley\",\n \"last_name\": \"Kingsley\",\n \"drivers_license\": \"LSR1122AA\"\n}"
response = http.request(request)
puts response.read_body{
"status": "200",
"message": "Data fetched successfully",
"data": {
"response_code": "00",
"detail": "DL Verification Successful",
"frsc_data": {
"expiryDate": "2027-10-30",
"firstName": "Kingsley",
"lastName": "Kingsley",
"issuedDate": "2022-10-01",
"stateOfIssue": "Lagos",
"licenseNo": "LSR712",
"gender": "Male",
"photo": "/4AAQSkZJRgABAQEAYABgAAD/2wBDw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAxNDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIjIyMjIyMjIyMjIyMjIyMjL/",
"middleName": "",
"birthDate": "1989-10-24"
},
"verification": {
"reference": "64-4002-92f0-1",
"status": "VERIFIED"
},
"session": "{}",
"status": "true"
}
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Checking for driver license Identification